# inspired from fedora spec file
# Copyright (c) 2017 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     container
%define composer_name   container
%define composer_vendor psr

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:      php-%{composer_vendor}-%{composer_name}
Version:   2.0.2
Release:   %mkrel 1
Summary:   Common Container Interface
Group:     Development/PHP
License:   MIT
URL:       https://github.com/php-fig/container
Source0:   https://github.com/php-fig/container/archive/refs/tags/%{version}.tar.gz
# composer.json
Requires:  php >= 5.3.0
# autoloader
Requires:  php-composer(fedora/autoloader)
Provides:  php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch: noarch


%description
This package holds all interfaces/classes/traits related to PSR-11.

Note that this is not a container implementation of its own. 

Autoloader: %{php_libdir}/Psr/Container/autoload.php


%prep
%setup -qn %{github_name}-%{version}


%build

%install
mkdir -p   %{buildroot}%{php_libdir}/Psr
cp -pr src %{buildroot}%{php_libdir}/Psr/Container

cat > %{buildroot}%{php_libdir}/Psr/Container/autoload.php <<'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{php_libdir}/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Psr\\Container\\', __DIR__);
EOF

%files
%doc LICENSE *.md composer.json
%{php_libdir}/Psr


%changelog
* Tue Apr 19 2022 mokraemer <mokraemer> 2.0.2-1.mga9
+ Revision: 1851921
- new version 2.0.2

* Mon Mar 21 2022 umeabot <umeabot> 1.0.0-5.mga9
+ Revision: 1810729
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1507376
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1287869
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 guillomovitch <guillomovitch> 1.0.0-2.mga7
+ Revision: 1169003
- misc cosmetics enhancements

* Wed May 10 2017 guillomovitch <guillomovitch> 1.0.0-1.mga6
+ Revision: 1099949
- imported package php-psr-container

